{% extends 'base.html.twig' %}
{% block title %} RAPPORTS{% endblock %}
{% block body %}
    <div class="page-header">

        <h1>
            RAPPORTS
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                LISTE DES ETUDIANTS
            </small>
        </h1>  

    </div>





    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='Submit' class='close'><i class='ace-icon fa fa-times'></i></button>
            <p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}



    <div class="row">
        <div class="col-xs-12">

            <div class="col-sm-12">




                <div class="col-md-2">
                    <label>Etablissement : </label>
                    <select class="form-control select2 etablissement1 search-input-select" data-column ='0'>  {{ etablissement|raw }}</select>
                </div>


                <div class="col-md-2">
                    <label>Formation : </label>
                    <select class="select2 form-control formation1 search-input-select"  data-column ='1'><option>choix formation...</option></select>
                </div>
                <div class="col-md-2">
                    <label>Promotion : </label>
                    <select class="select2 form-control promotion1 search-input-select"  data-column ='2'><option>choix promotion...</option></select>
                </div>


                <div class="slh"></div>
                <div class="slh2"></div>
                <div align="right">
                    <button   type="button" class="rap btn btn-minier btn-purple "><i class='ace-icon fa fa-download'></i>  Générer le Rapport </button>
                    <button   type="button" class="prom btn btn-minier btn-purple "><i class='ace-icon fa fa-download'></i> Rapport par promotion </button>
                    <button   type="button" class="etu btn btn-minier btn-purple "><i class='ace-icon fa fa-download'></i>  Rapport par etudiant </button>
                    <button   type="button" class="glo btn btn-minier btn-purple "><i class='ace-icon fa fa-download'></i>  Rapport  etudiant (pdf)</button>
                    <button   type="button" class="word btn btn-minier btn-purple "><i class='ace-icon fa fa-download'></i>  Rapport Etudiant (word) </button>
                </div>



            </div>


            <div class="col-sm-12">
                <hr/>
                <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">

                    <thead>
                        <tr>
                            <th>#</th>
                            <th>code</th>
                            <th>Nom</th>
                            <th>Prénom</th>
                            <th>CIN</th>
                            <th>Etablissement</th>
                            <th>Formation</th>
                            <th>Promotion</th>
                            <th>Année</th>
                            <th>Statut</th>


                        </tr>
                    </thead>
                </table>


            </div> 
            <div class="ins_rapport"></div>
        </div>
    </div>

    {{ include ('s_stages/message.html.twig')}}


    <div class="modal modal-primary" id="MessageModel1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span></button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                    <p>Veuillez selectionner une promotion !!</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>


{% endblock %}
{% block javascripts %}
    {{ parent() }}


    <script type="text/javascript">
        $('.select2').select2();
        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });

        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 15,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 900000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "asc"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            //"stateSave": true,
            "processing": true,
            "language": {
                "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",

            },
            "serverSide": true,
            "ajax": {
                url: Routing.generate('rapport_etudiant_list')


            }
        });
        /**********Select row from my-grid **********/
        $('#grid').on('click', 'tbody tr', function (event) {
            $("#grid tbody tr").each(function () {
                $(this).removeClass('active active-row');
            });
            $(this).addClass('active active-row');

        });








        $('.rap').click(function (e) {
            var e = $('.active-row').attr('id');
            //alert(e);
            if (e) {
                $.ajax({
                    type: 'GET',
                    url: Routing.generate('modal_rap', {id: e}),
                    success: function (result) {
                        $('.ins_rapport').html(result);
                        $('#model-rapp').modal('show');
                    }
                });
            } else {
                $('#MessageModel').modal('show');
            }


            e.preventDefault();
        });



        $('.etu').click(function (e) {
            var e = $('.active-row').attr('id');
            //alert(e);
            if (e) {

                var url = '{{path("etudiant_rapports",{'id': 'id'})}}';
                url = url.replace("id", e);
                window.open(url);
            } else {
                $('#MessageModel').modal('show');
            }


            e.preventDefault();
        });
        $('.glo').click(function (e) {
            var e = $('.active-row').attr('id');
            //alert(e);
            if (e) {

                var url = '{{path("sansObjectif",{'id': 'id','type':'a'})}}';
                url = url.replace("id", e);
                window.open(url);
            } else {
                $('#MessageModel').modal('show');
            }


            e.preventDefault();
        });

      
        $('.word').click(function (e) {
            var e = $('.active-row').attr('id');
            //alert(e);
            if (e) {

                var url = '{{path("sansObjectif",{'id': 'id','type':'w'})}}';
                url = url.replace("id", e);
                window.open(url);
            } else {
                $('#MessageModel').modal('show');
            }


            e.preventDefault();
        });




        $('.prom').click(function (e) {
            var c = $('.promotion1').val();

            if ($.isNumeric(c))
            {
                var url = '{{path("rapports_promotion",{'id': 'id'})}}';
                url = url.replace("id", c);
                window.open(url);
                // alert(c);
            } else {
                $('#MessageModel1').modal('show');
            }
            e.preventDefault();
        });














        /* $('#button').click(function (e) {
         //alert('rr');
         var i = 0;
         
         var arr = [];
         $('.ads_Checkbox:checked').each(function(){
         arr[i++] = $(this).val();
         });
         $.each({ arr}, function( k, v ) {
         alert( "Key: " + k + ", Value: " + v );
         })
         // alert(arr);
         
         
         $.ajax({
         type: 'GET',
         // url: Routing.generate('patient_objectif', {id: 1}),
         url: Routing.generate('group_ins', {id: 1}),
         success: function (result) {
         $('.group_stage').html(result);
         $('#model-group').modal('show');
         }
         });
         
         //e.preventDefault();
         });*/




        /*  $('#instg').submit(function (e) {
         
         alert('hello');
         
         var dta = new FormData(this);
         var code = $('.active-row').attr('id');
         //alert(dta);
         if (dta) {
         $.ajax({
         type: 'POST',
         url: "{#{path('group_ins')}#}",
         data: dta,
         processData: false,
         contentType: false,
         success: function (result) {
         $('.group_stage').html(result);
         $('#model-group').modal('show');
         }
         });
         }
         
         e.preventDefault();
         
         });*/





        {#    $('.search-input-select').on('change', function () {    // for text boxes
                var index = $(this).attr('data-column');  // getting column index
                var value = $(this).val();  // getting search input value
                dataTable.columns(index).search(value).draw();
            });
    #}
    </script>
    <script src="{{asset('assets/js/filtre.js') }}"></script>
{% endblock %}
